org.apache.mina.handler.chain

## Class IoHandlerChain.Entry

- java.lang.Object
- - org.apache.mina.handler.chain.IoHandlerChain.Entry

- Enclosing class:
    IoHandlerChain

      public class IoHandlerChain.Entry
      extends Object

  Represents a name-command pair that an `IoHandlerChain` contains.
  Author:
    Apache MINA Project

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `IoHandlerCommand` | `getCommand()` Returns the command.
    `String` | `getName()` Returns the name of the command.
    `IoHandlerCommand.NextCommand` | `getNextCommand()` Returns the `IoHandlerCommand.NextCommand` of the command.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getName

          public String getName()

      Returns the name of the command.

    - #### getCommand

          public IoHandlerCommand getCommand()

      Returns the command.

    - #### getNextCommand

          public IoHandlerCommand.NextCommand getNextCommand()

      Returns the `IoHandlerCommand.NextCommand` of the command.

Copyright © 2004-2012 Apache MINA Project. All Rights Reserved.